import createAxios from '@/utils/request'
/**
 * 查询所有算法库树结构
 */
export const queryAllAlgorithmLibrary = () => {
    return createAxios({
        url: '/supervision-boot/libalgorithm/queryAllAlgorithmLibrary',
        method: 'GET'
    })
}
/**
 * 算法库新增
 */
export const addAlgorithm = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libalgorithm/add',
        method: 'POST',
        data
    })
}
/**
 * 算法库删除
 */
export const deleteyById = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libalgorithm/deleteyById',
        method: 'GET',
        params: data
    })
}
/**
 * 算法库修改
 */
export const updateAlgorithmLibrary = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libalgorithm/updateAlgorithmLibrary',
        method: 'POST',
        data
    })
}
/**
 * 案例库新增
 */
export const libcaseAdd = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libcase/add',
        method: 'POST',
        data
    })
}
/**
 * 案例库删除
 */
export const libcaseBeleteyById = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libcase/deleteyById',
        method: 'GET',
        params: data
    })
}
/**
 * 新增标准案例
 */
export const addStandardCase = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libcase/addStandardCase',
        method: 'POST',
        params: data
    })
}
/**
 * 新增标准案例
 */
export const queryStandardCase = () => {
    return createAxios({
        url: '/supervision-boot/libcase/queryStandardCase',
        method: 'POST',
     
    })
}

/**
 * 案例库修改
 */
export const updateCaseLibrary = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libcase/updateCaseLibrary',
        method: 'POST',
        data
    })
}
/**
 * 标准库查询
 */
export const queryAll = () => {
    return createAxios({
        url: '/supervision-boot/libstandard/queryAll',
        method: 'GET'
    })
}
/**
 * 标准库删除
 */
export const deleteyLibstandard = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libstandard/deleteyById',
        method: 'GET',
        params: data
    })
}
/**
 * 标准库新增
 */
export const libstandardAdd = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libstandard/add',
        method: 'POST',
        data
    })
}
/**
 * 标准库更新
 */
export const updateStandardLibrary = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libstandard/updateStandardLibrary',
        method: 'POST',
        data
    })
}
/**
 * 模版更新
 */
export const updateTemplate = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libtemplate/updateTemplate',
        method: 'POST',
        data
    })
}
/**
 * 新增模版
 */
export const libtemplateAdd = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libtemplate/add',
        method: 'POST',
        data
    })
}
/**
 * 新增删除
 */
export const libtemplateDel = (data: any) => {
    return createAxios({
        url: '/supervision-boot/libtemplate/deleteyById',
        method: 'GET',
        params: data
    })
}
